<?xml version="1.0" encoding="UTF-8"?>
<!--
    * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
    * Copyright (C) 2002-2004 - INRIA - Vincent COUVERT 
    * 
    * This file must be used under the terms of the CeCILL.
    * This source file is licensed as described in the file COPYING, which
    * you should have received as part of this distribution.  The terms
    * are also available at    
    * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
    *
    -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr" xml:id="mtlb_fliplr">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>mtlb_fliplr</refname>
    <refpurpose>Fonction d'émulation de la fonction Matlab fliplr</refpurpose>
  </refnamediv>
  <refsection>
    <title>Description</title>
    <para>Dans plusieurs cas particuliers, la fonction <literal>fliplr</literal> se comporte différemment dans Matlab et dans Scilab :</para>
    <itemizedlist>
      <listitem>
        <para>
        Avec un paramètre d'entrée de type chaîne de caractère : étant donné que Scilab et Matlab ne considèrent pas les chaînes de caractère de la même façon, le résultat pout être différent pour une entrée de ce type.
        </para>
      </listitem>
    </itemizedlist>
    <para>
    La fonction <literal>mtlb_fliplr(A)</literal> est utilisée par
    <literal>mfile2sci</literal> pour remplacer <literal>fliplr(A)</literal> quand il n'était pas
    possible de savoir ce qu'étaient les paramètres d'entrée pendant la conversion d'un code
    Matlab vers Scilab. Cette fonction va
    déterminer la sémantique correcte pendant l'exécution. Pour obtenir un code plus performant
    on peut remplacer les appels à <literal>mtlb_fliplr</literal> :
    </para>
    <itemizedlist>
      <listitem>
        <para>
        Si <literal>A</literal> n'est pas une matrice de chaînes de caractères,
        <literal>mtlb_fliplr(A)</literal> peut être remplacé par <literal>fliplr(A)</literal>
        </para>
      </listitem>
    </itemizedlist>
    <para>Attention : <literal>mtlb_fliplr</literal> ne doit pas être utilisée pour une programmation manuelle.</para>
  </refsection>
  <refsection>
    <title>Auteurs</title>
    <simplelist type="vert">
      <member>V.C.</member>
    </simplelist>
  </refsection>
</refentry>
